armthumb.c File Reference

Filter for ARM-Thumb binaries. More...

`#include "simple_private.h"`

## Functions

static size_t | armthumb_code (void *simple lzma_attribute((__unused__)), uint32_t now_pos, bool is_encoder, uint8_t *buffer, size_t size)
static lzma_ret | armthumb_coder_init (lzma_next_coder *next, const lzma_allocator *allocator, const lzma_filter_info *filters, bool is_encoder)
lzma_ret | lzma_simple_armthumb_encoder_init (lzma_next_coder *next, const lzma_allocator *allocator, const lzma_filter_info *filters)
lzma_ret | lzma_simple_armthumb_decoder_init (lzma_next_coder *next, const lzma_allocator *allocator, const lzma_filter_info *filters)

## Detailed Description

Filter for ARM-Thumb binaries.